Bug 144989 - ifdown while dialing leaves pppd running.
ifdown while dialing leaves pppd running.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 09:49 EST by Neil Turton
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 08:18:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Turton 2005-01-13 09:49:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
If the user runs "ifdown provider" while "ifup provider" is still
running and is in the process of dialing, the ppp-watch process
is killed, as expected, but the pppd process is left running and
continues to dial.  This appears to be because pppd hasn't created the
pppd lock file yet, even though it has created the uucp lock file. 
The user is then left in the situation where the pppd must connect
before it will get killed by ifdown.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a ppp provider.
2. Unplug the phone.
3. /sbin/ifup provider & sleep 10
4. /sbin/ifdown provider


Actual Results:  pppd is still running and still trying to dial.

Expected Results:  pppd is gone and the phone has been hung up.

Additional info:

I worked around this bug by adding a few lines to the ppp ifdown
script which finds the uucp lock file and kills the process in it (if
any).
Comment 1 Matthew Miller 2006-07-10 19:34:51 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Thomas Woerner 2007-07-23 08:18:24 EDT
This bug entry was in needinfo for some time. Closing due to user inactivity as
"NOT A BUG".

Note You need to log in before you can comment on or make changes to this bug.